## jack-capture 0.9.57

=== Makefile ===

DESTDIR =
prefix = /usr/local
bindir = $(prefix)/bin

VERSION=0.9.57

CC=gcc
CPP=g++

OPTIMIZE=-O3 -mtune=native
#OPTIMIZE=-O0 -g

COMPILEFLAGS=$(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall
LINKFLAGS=-ljack -lsndfile -lm -lpthread

targets = jack_capture jack_capture_gui2


all: check_dependencies jack_capture jack_capture_gui2

install: $(targets)
	mkdir -p $(DESTDIR)$(bindir)
	install -m755 $(targets) $(DESTDIR)$(bindir)

uninstall:
	rm $(DESTDIR)$(bindir)/jack_capture
	rm $(DESTDIR)$(bindir)/jack_capture_gui2

check_dependencies:
	@echo
	@echo "Checking dependencies: "
	which bash
	which tr
	which install
	which pkg-config
	which $(CC)
	which $(CPP)
	$(CC) -E testsndfile.c >/dev/null
	@echo "All seems good "
	@echo

dist: clean
	rm -fr /tmp/jack_capture-$(VERSION)
	rm -fr jack_capture-$(VERSION)
	mkdir /tmp/jack_capture-$(VERSION)
	cp -a * /tmp/jack_capture-$(VERSION)/
	mv /tmp/jack_capture-$(VERSION) .
	tar cvf jack_capture-$(VERSION).tar jack_capture-$(VERSION)
	gzip jack_capture-$(VERSION).tar
	marcel_upload jack_capture-$(VERSION).tar.gz
	ls -la jack_capture-$(VERSION)
	rm -fr jack_capture-$(VERSION)


jack_capture: setformat.c jack_capture.c vringbuffer.c Makefile das_config.h config_flags
	$(CC) $(COMPILEFLAGS) jack_capture.c vringbuffer.c -o jack_capture $(LINKFLAGS) `cat config_flags`


jack_capture_gui2: jack_capture_gui2.cpp
	$(CPP) $(OPTIMIZE) jack_capture_gui2.cpp `pkg-config --libs --cflags gtk+-2.0` -o jack_capture_gui2

config_flags: Makefile das_config.h
	cat das_config.h |grep COMPILEFLAGS|sed s/\\/\\/COMPILEFLAGS// >config_flags

das_config.h: gen_das_config_h.sh
	bash gen_das_config_h.sh >das_config.h
	@echo
	@echo "jack_capture was configured with the following options:"
	@echo "------------------------------"
	@cat das_config.h
	@echo "------------------------------"
	@echo

setformat.c: gen_setformat_c.sh
	bash gen_setformat_c.sh >setformat.c


clean:
	rm -f *~ jack_capture jack_capture_gui2 config_flags *.wav *.flac *.ogg *.mp3 *.au *.aiff *.wavex temp.c* setformat.c* das_config.h* a.out *.gz #*

=== debian/changelog ===
jack-capture (0.9.57-2) unstable; urgency=low

  * Add debian/patches/04-freewheel_mode_fix.patch patch to fix
    recording when in freewheel mode; thanks to Filipe Lopes for the
    patch!
  * Update debian/copyright to DEP-5 rev162.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Jan 2011 00:11:49 +0100

jack-capture (0.9.57-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop 03-linking_order.patch, applied upstream.
  * Add patch to make jack_capture_gui work fine.
  * Add zenity on Suggests.
  * Install jack_capture_gui.
  * debian/patches/02-makefile-compile-option.patch: Apply $LDFLAGS if
    set.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 11:01:14 +0100

jack-capture (0.9.56-2) unstable; urgency=low

  * Add patch to fix linking flags order to prevent the build failure
    with GCC 4.5.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Dec 2010 12:15:04 +0100

jack-capture (0.9.56-1) unstable; urgency=low

  * New upstream release:
    - Fix for possible error when trying to connect to a non-existing port.
  * Refresh patches.
  * Update debian/gbp.conf.
  * Add local-options file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Oct 2010 19:17:21 +0200

jack-capture (0.9.55-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Initial release (Closes: #590713).

  [ Adrian Knoth ]
  * Don't hardcode meterbridge path during compilation.

  [ Alessio Treglia ]
  * Improve debian/copyright.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jul 2010 23:25:11 +0200

=== debian/control ===
Source: jack-capture
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends: debhelper (>= 7.0.50~),
 binutils,
 pkg-config,
 libgtk2.0-dev,
 libjack-dev | libjack-jackd2-dev,
 libsndfile1-dev  
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-capture.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-capture.git

Package: jack-capture
Architecture: any
Recommends: meterbridge
Suggests: zenity
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: program for recording soundfiles with jack
 With this program you can record any sound which is
 played via jack.
 .
 jack_capture allow you record to all formats supported by sndfile.
 (wav, aiff, ogg, flac, wavex, au, etc.)

## jack-capture 0.9.61

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 prefix = /usr/local
 bindir = $(prefix)/bin
 
-VERSION=0.9.57
+VERSION=0.9.61
 
 CC=gcc
 CPP=g++
@@ -11,13 +11,13 @@
 OPTIMIZE=-O3 -mtune=native
 #OPTIMIZE=-O0 -g
 
-COMPILEFLAGS=$(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall
+COMPILEFLAGS=$(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused
 LINKFLAGS=-ljack -lsndfile -lm -lpthread
 
-targets = jack_capture jack_capture_gui2
+targets = jack_capture
 
 
-all: check_dependencies jack_capture jack_capture_gui2
+all: check_dependencies jack_capture
 
 install: $(targets)
 	mkdir -p $(DESTDIR)$(bindir)
@@ -25,7 +25,6 @@
 
 uninstall:
 	rm $(DESTDIR)$(bindir)/jack_capture
-	rm $(DESTDIR)$(bindir)/jack_capture_gui2
 
 check_dependencies:
 	@echo
@@ -77,6 +76,4 @@
 
 
 clean:
-	rm -f *~ jack_capture jack_capture_gui2 config_flags *.wav *.flac *.ogg *.mp3 *.au *.aiff *.wavex temp.c* setformat.c* das_config.h* a.out *.gz #*
-
-
+	rm -f *~ jack_capture jack_capture_gui2 config_flags *.wav *.flac *.ogg *.mp3 *.au *.aiff *.wavex temp.c* setformat.c* das_config.h* a.out *.gz  *.orig "#*"

=== debian/changelog ===
jack-capture (0.9.61-1) unstable; urgency=low

  * New upstream release.
  * Remove 04-freewheel_mode_fix.patch as it's applied upstream, refresh
    the remaining patches.
  * Add Homepage field.
  * Bump Standards-Version.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Nov 2011 05:49:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
  libgtk2.0-dev,
  libjack-dev | libjack-jackd2-dev,
  libsndfile1-dev  
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-capture.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-capture.git
+Homepage: https://github.com/kmatheussen/jack_capture
 
 Package: jack-capture
 Architecture: any

## jack-capture 0.9.67

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,7 @@
+PREFIX ?= /usr/local
+bindir = $(PREFIX)/bin
 
-DESTDIR =
-prefix = /usr/local
-bindir = $(prefix)/bin
-
-VERSION=0.9.61
+VERSION=0.9.67
 
 CC=gcc
 CPP=g++
@@ -11,26 +9,27 @@
 OPTIMIZE=-O3 -mtune=native
 #OPTIMIZE=-O0 -g
 
-COMPILEFLAGS=$(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused
-LINKFLAGS=-ljack -lsndfile -lm -lpthread
+COMPILEFLAGS=$(CFLAGS) $(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused
+LINKFLAGS=$(LDFLAGS) -ljack -lsndfile -lm -lpthread -lrt
 
 targets = jack_capture
-
 
 all: check_dependencies jack_capture
 
 install: $(targets)
-	mkdir -p $(DESTDIR)$(bindir)
+	install -d $(DESTDIR)$(bindir)
 	install -m755 $(targets) $(DESTDIR)$(bindir)
 
 uninstall:
-	rm $(DESTDIR)$(bindir)/jack_capture
+	rm -f $(DESTDIR)$(bindir)/jack_capture
+	-rmdir $(DESTDIR)$(bindir)
 
 check_dependencies:
 	@echo
 	@echo "Checking dependencies: "
 	which bash
 	which tr
+	which sed
 	which install
 	which pkg-config
 	which $(CC)
@@ -52,15 +51,15 @@
 	rm -fr jack_capture-$(VERSION)
 
 
-jack_capture: setformat.c jack_capture.c vringbuffer.c Makefile das_config.h config_flags
-	$(CC) $(COMPILEFLAGS) jack_capture.c vringbuffer.c -o jack_capture $(LINKFLAGS) `cat config_flags`
+jack_capture: setformat.c jack_capture.c vringbuffer.c upwaker.c osc.c Makefile das_config.h config_flags
+	$(CC) $(COMPILEFLAGS) jack_capture.c vringbuffer.c upwaker.c osc.c -o jack_capture $(LINKFLAGS) `cat config_flags`
 
 
 jack_capture_gui2: jack_capture_gui2.cpp
-	$(CPP) $(OPTIMIZE) jack_capture_gui2.cpp `pkg-config --libs --cflags gtk+-2.0` -o jack_capture_gui2
+	$(CPP) $(CPPFLAGS) $(OPTIMIZE) jack_capture_gui2.cpp $(LDFLAGS) `pkg-config --libs --cflags gtk+-2.0` -o jack_capture_gui2
 
 config_flags: Makefile das_config.h
-	cat das_config.h |grep COMPILEFLAGS|sed s/\\/\\/COMPILEFLAGS// >config_flags
+	cat das_config.h |grep COMPILEFLAGS|sed s/\\/\\/COMPILEFLAGS//|tr '\n' ' ' >config_flags
 
 das_config.h: gen_das_config_h.sh
 	bash gen_das_config_h.sh >das_config.h

=== debian/changelog ===
jack-capture (0.9.67-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * wrap-and-sort -a -s
  * Copyright updated to format 1.0
  * Add lame as build dependency.
  * Add liblo as build dependency.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 30 May 2012 15:24:22 +0200

=== debian/control ===
Source: jack-capture
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends:
 binutils,
 debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libjack-dev | libjack-jackd2-dev,
 libsndfile1-dev,
 libmp3lame-dev,
 liblo-dev,
 pkg-config
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-capture.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-capture.git
Homepage: https://github.com/kmatheussen/jack_capture

Package: jack-capture
Architecture: any
Recommends:
 meterbridge
Suggests:
 zenity
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: program for recording soundfiles with jack
 With this program you can record any sound which is
 played via jack.
 .
 jack_capture allow you record to all formats supported by sndfile.
 (wav, aiff, ogg, flac, wavex, au, etc.)

## jack-capture 0.9.70

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PREFIX ?= /usr/local
 bindir = $(PREFIX)/bin
 
-VERSION=0.9.67
+VERSION=0.9.70
 
 CC=gcc
 CPP=g++
 
-OPTIMIZE=-O3 -mtune=native
+OPTIMIZE=-O3
 #OPTIMIZE=-O0 -g
 
 COMPILEFLAGS=$(CFLAGS) $(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused

=== debian/changelog ===
jack-capture (0.9.70-1) unstable; urgency=low

  * New upstream release:
    - notify user about jack x-runs that occurred during
      recording (Robin Gareus)
    - Include timemachine documentation in README file
  * Refresh patches.
  * Remove DM-Upload-Allowed field, not needed anymore.
  * Fix Vcs fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Jan 2013 12:51:28 +0000

jack-capture (0.9.69-1) unstable; urgency=low

  * New upstream release:
    - Timemachine mode. Make jack_capture work like Steve Harries'
      timemachine recorderEnable with the -tm / --timemachine option.
      Set prebuffer time with the -tmpb / --timemachine-prebuffer option.
    - OSC methods to control time-machine mode. (Robin Gareus)
    - Check if the call to sem_wait failed. Do not stop recording if so.
    - Fix reset-colour. (Robin Gareus)
    - Use jack_free to free port name array, not free.
  * debian/gbp.conf
    - Don't sign tags.
  * wrap-and-sort -a -s
  * Drop 01-makefile-prefix.patch, no longer needed.
  * Set PREFIX in debian/rules.

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jul 2012 22:43:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
  debhelper (>= 7.0.50~),
  libgtk2.0-dev,
  libjack-dev | libjack-jackd2-dev,
+ liblo-dev,
+ libmp3lame-dev,
  libsndfile1-dev,
- libmp3lame-dev,
- liblo-dev,
  pkg-config
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/jack-capture.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jack-capture.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jack-capture.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jack-capture.git
 Homepage: https://github.com/kmatheussen/jack_capture
 
 Package: jack-capture

## jack-capture 0.9.71

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX ?= /usr/local
 bindir = $(PREFIX)/bin
 
-VERSION=0.9.70
+VERSION=0.9.71
 
 CC=gcc
 CPP=g++

=== debian/changelog ===
jack-capture (0.9.71-2) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Little fix in changelog
  * Pass CPPFLAGS first.
  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Add spelling patch.
  * Patches forwarded.

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 14:12:19 +0100

jack-capture (0.9.71-1) unstable; urgency=low

  * New upstream release.
  * Set dh/compat 9
  * Added patch to fix FTBS with compat 9.
    Thanks to Sebastian Ramacher <sramacher@debian.org>.
  * Added patch to fix hardening.
  * Removed unused patch.
  * Patches forwarded.
  * Tune gitignore file to handle rather dir.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 19 Aug 2013 13:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Adrian Knoth <adi@drcomp.erfurt.thur.de>
 Build-Depends:
  binutils,
- debhelper (>= 7.0.50~),
+ debhelper (>= 10),
  libgtk2.0-dev,
  libjack-dev | libjack-jackd2-dev,
  liblo-dev,
  libmp3lame-dev,
  libsndfile1-dev,
  pkg-config
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/jack-capture.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jack-capture.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jack-capture.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/jack-capture.git
 Homepage: https://github.com/kmatheussen/jack_capture
 
 Package: jack-capture

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_MAINT_LD_FLAGS_APPEND = -Wl,--as-needed

export PREFIX=/usr

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README

## jack-capture 0.9.73

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,24 @@
 PREFIX ?= /usr/local
 bindir = $(PREFIX)/bin
 
-VERSION=0.9.71
+VERSION=0.9.73
 
 CC=gcc
 CPP=g++
+
+# Needed on OSX
+CFLAGS += -I/opt/local/include
 
 OPTIMIZE=-O3
 #OPTIMIZE=-O0 -g
 
 COMPILEFLAGS=$(CFLAGS) $(OPTIMIZE) -DVERSION=\"$(VERSION)\" -Wall -Wextra -Wno-unused
-LINKFLAGS=$(LDFLAGS) -ljack -lsndfile -lm -lpthread -lrt
+LINKFLAGS=$(LDFLAGS) -ljack -lsndfile -lm -lpthread
+
+OS := $(shell uname)
+ifneq ($(OS),Darwin)
+	LINKFLAGS += -lrt
+endif
 
 targets = jack_capture
 
@@ -34,7 +42,7 @@
 	which pkg-config
 	which $(CC)
 	which $(CPP)
-	$(CC) -E testsndfile.c >/dev/null
+	$(CC) $(CFLAGS) -E testsndfile.c >/dev/null
 	@echo "All seems good "
 	@echo

=== debian/changelog ===
jack-capture (0.9.73-5) unstable; urgency=medium

  * Team upload.
  * Fix definition of asprintf (Closes: #1071318, #1114501)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 11:37:39 +0200

jack-capture (0.9.73-4) unstable; urgency=medium

  * Team upload
  * Drop unused B-D libgtk2.0-dev (Closes: #967542)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update copyright (http->https)
  * Update watch (http->https + remove 1 empty line)

 -- Bastian Germann <bage@debian.org>  Mon, 18 Sep 2023 19:44:41 +0200

jack-capture (0.9.73-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0, no changes needed.
  * Drop Build-dependency on binutils.  Closes: #873159
    binutils is already pulled in by build-essential, and specifying it
    explicitly prevents proper resolution of cross build dependencies.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 25 Aug 2017 09:38:13 +0200

jack-capture (0.9.73-2) unstable; urgency=medium

  * Fix build on mips and mipsel.
    Thanks to James Cowgill.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 27 Jun 2017 14:22:21 +0200

jack-capture (0.9.73-1) unstable; urgency=medium

  * New upstream version 0.9.73
  * Bump Standards.
  * Update copyright file.
  * Patches deleted/refreshed.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 26 Jun 2017 09:32:58 +0200

=== debian/control ===
Source: jack-capture
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>
Build-Depends:
 debhelper-compat (= 10),
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libmp3lame-dev,
 libsndfile1-dev,
 pkgconf,
Standards-Version: 4.1.0
Vcs-Git: https://salsa.debian.org/multimedia-team/jack-capture.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jack-capture
Homepage: https://github.com/kmatheussen/jack_capture

Package: jack-capture
Architecture: any
Recommends:
 meterbridge
Suggests:
 zenity
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: program for recording soundfiles with jack
 With this program you can record any sound which is
 played via jack.
 .
 jack_capture allow you record to all formats supported by sndfile.
 (wav, aiff, ogg, flac, wavex, au, etc.)

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_MAINT_LD_FLAGS_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -latomic
 
 export PREFIX=/usr

=== debian/watch ===
version=4

https://archive.notam02.no/arkiv/src/jack_capture-(.*)\.tar\.gz
